Add Vendor Balance
curl --request POST \
--url https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/balance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"balance": 123,
"description": "Free credits added to the account"
}
'import requests
url = "https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/balance"
payload = {
"balance": 123,
"description": "Free credits added to the account"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({balance: 123, description: 'Free credits added to the account'})
};
fetch('https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Billing API
Add Vendor Balance
Endpoint to add some balance for a vendor.
Will truncate the input to its minimum denomination, e.g. USD 1,000.234 is USD 1,000.23 , as there is no fraction of a cent.
POST
/
public
/
v1
/
billing-service
/
vendors
/
{external-vendor-id}
/
balance
Add Vendor Balance
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
The External ID of the Vendor to retrieve.
Minimum string length:
1Body
application/json
Response
Successful Response
Result of the Balance Adding. Returns True if the operation was executed correctly.
Was this page helpful?
⌘I